Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageLogic Class Reference

`#include <vtkImageLogic.h>`

Inheritance diagram for vtkImageLogic:

[legend]
Collaboration diagram for vtkImageLogic:

[legend]
List of all members.

## Detailed Description

And, or, xor, nand, nor, not.

Date:
  2002/01/22 15:32:54

Revision:
  1.21

vtkImageLogic implements basic logic operations. SetOperation is used to select the filter's behavior. The filter can take two or one input. Inputs must have the same type.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Martin, Ken (52%)
  - Law, Charles (35%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageLogic.h)`
  - .`cxx` (`/Imaging/vtkImageLogic.cxx)`

Tests:
  vtkImageLogic (Tests)

Definition at line 58 of file vtkImageLogic.h.

## Public Types
typedef vtkImageTwoInputFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetOperation (int)
virtual int | GetOperation ()
void | SetOperationToAnd ()
void | SetOperationToOr ()
void | SetOperationToXor ()
void | SetOperationToNand ()
void | SetOperationToNor ()
void | SetOperationToNot ()
virtual void | SetOutputTrueValue (float)
virtual float | GetOutputTrueValue ()
## Static Public Methods
vtkImageLogic * | New ()
int | IsTypeOf (const char *type)
vtkImageLogic * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageLogic ()
| ~vtkImageLogic ()
void | ThreadedExecute (vtkImageData **inDatas, vtkImageData *outData, int extent[6], int id)
## Protected Attributes
int | Operation
float | OutputTrueValue

## Member Typedef Documentation

typedef vtkImageTwoInputFilter vtkImageLogic::Superclass

| Reimplemented from vtkImageTwoInputFilter. Definition at line 62 of file vtkImageLogic.h.

## Constructor & Destructor Documentation

vtkImageLogic::vtkImageLogic | ( |  | ) | `[protected]`

vtkImageLogic::~vtkImageLogic | ( |  | ) | `[inline, protected]`

| Definition at line 85 of file vtkImageLogic.h.

## Member Function Documentation

vtkImageLogic* vtkImageLogic::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageLogic::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageTwoInputFilter.

int vtkImageLogic::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageTwoInputFilter.

virtual int vtkImageLogic::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageTwoInputFilter.

vtkImageLogic* vtkImageLogic::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageTwoInputFilter.

void vtkImageLogic::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageTwoInputFilter.

virtual void vtkImageLogic::SetOperation | ( | int |  | ) | `[virtual]`

| Set/Get the Operation to perform.

virtual int vtkImageLogic::GetOperation | ( |  | ) | `[virtual]`

| Set/Get the Operation to perform.

void vtkImageLogic::SetOperationToAnd | ( |  | ) | `[inline]`

| Set/Get the Operation to perform. Definition at line 69 of file vtkImageLogic.h. References VTK_AND.

void vtkImageLogic::SetOperationToOr | ( |  | ) | `[inline]`

| Set/Get the Operation to perform. Definition at line 70 of file vtkImageLogic.h. References VTK_OR.

void vtkImageLogic::SetOperationToXor | ( |  | ) | `[inline]`

| Set/Get the Operation to perform. Definition at line 71 of file vtkImageLogic.h. References VTK_XOR.

void vtkImageLogic::SetOperationToNand | ( |  | ) | `[inline]`

| Set/Get the Operation to perform. Definition at line 72 of file vtkImageLogic.h. References VTK_NAND.

void vtkImageLogic::SetOperationToNor | ( |  | ) | `[inline]`

| Set/Get the Operation to perform. Definition at line 73 of file vtkImageLogic.h. References VTK_NOR.

void vtkImageLogic::SetOperationToNot | ( |  | ) | `[inline]`

| Set/Get the Operation to perform. Definition at line 74 of file vtkImageLogic.h. References VTK_NOT.

virtual void vtkImageLogic::SetOutputTrueValue | ( | float |  | ) | `[virtual]`

| Set the value to use for true in the output.

virtual float vtkImageLogic::GetOutputTrueValue | ( |  | ) | `[virtual]`

| Set the value to use for true in the output.

void vtkImageLogic::ThreadedExecute | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| The execute method created by the subclass. This is kept public instead of protected since it is called from a non-member thread function. Reimplemented from vtkImageMultipleInputFilter.

## Member Data Documentation

int vtkImageLogic::Operation`[protected]`

| Definition at line 87 of file vtkImageLogic.h.

float vtkImageLogic::OutputTrueValue`[protected]`

| Definition at line 88 of file vtkImageLogic.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageLogic.h